메인 콘텐츠로 건너뛰기
GET
/
v1
/
external
/
notes
/
{noteGuid}
/
summaries
/
{summaryId}
Get Note Summary
curl --request GET \
  --url https://api.tiro.ooo/v1/external/notes/{noteGuid}/summaries/{summaryId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tiro.ooo/v1/external/notes/{noteGuid}/summaries/{summaryId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tiro.ooo/v1/external/notes/{noteGuid}/summaries/{summaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "noteGuid": "note-abc123-def456",
  "note": {
    "guid": "note-abc123-def456",
    "webUrl": "https://tiro.ooo/n/xQ8YKnZUPGHNB"
  },
  "template": {
    "id": 1,
    "title": "One-Pager"
  },
  "locale": "ko_KR",
  "content": {
    "type": "text/markdown",
    "content": "# Meeting Summary\n\n## Key Points\n- Discussed Q4 roadmap\n- Budget approved..."
  },
  "createdAt": "2025-12-12T12:00:00Z",
  "updatedAt": "2025-12-12T12:00:00Z"
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}

인증

Authorization
string
header
필수

API key in format {id}.{secret}

경로 매개변수

noteGuid
string
필수

Note GUID

summaryId
integer<int64>
필수

Summary ID from list endpoint

쿼리 매개변수

format
enum<string>
기본값:text/markdown

Content format

사용 가능한 옵션:
text/markdown,
text/plain

응답

Summary with full content

A single block of summary text for a Note (the "one-page" summary). A Note can have multiple NoteSummaries in different languages or templates. Unlike NoteDocument, it is not divided into sections. See Data Model.

id
integer<int64>
필수

Summary ID

예시:

123

noteGuid
string
필수

Associated note GUID

예시:

"note-abc123-def456"

note
object
필수

Note reference with minimal information

locale
enum<string>
필수

Supported language locale

사용 가능한 옵션:
ko_KR,
en_US,
de_DE,
ja_JP,
es_ES,
fr_FR,
id_ID,
vi_VN,
tr_TR,
uk_UA,
ru_RU,
hi_IN,
it_IT,
zh_CN,
ms_MY,
th_TH,
sv_SE
예시:

"ko_KR"

content
object
필수
createdAt
string<date-time>
필수

Creation timestamp

예시:

"2025-12-12T12:00:00Z"

updatedAt
string<date-time>
필수

Last update timestamp

예시:

"2025-12-12T12:05:00Z"

template
object | null

Template used for this summary. Null if the template has been deleted.